Subject: [PATCH 00/20] Add minetest mods

From: Andrew Ward <[email-masked]>
Date: Thu, 05 Aug 2021 13:46:16 +0100

Hi, I'm a Minetest core dev and the creator of ContentDB (the service the powers the built-in mod/game/etc manager in Minetest).

It's very annoying when distros include mods but then never update them. It causes confusion with users, as mods change over time and there can be breakages. So, I'd like to make sure that these packages are kept in sync with ContentDB.

ContentDB also provides two other features: it only provides you with versions of mods/games that support your Minetest version. It also handles dependencies, so I hope this is set up correctly.

If you are disabling ContentDB completely, you should have the vast majority of mods, games, and texture packs available - especially all the hard dependencies needed, as not having these will cause load issues. Minetest is all about customisation.

I recommend adding a button and core.open_url call to the guix dialog that replaces the content store. It should link to a page describing how to install mods using guix, and how to allow use of ContentDB again if the user desires

Anyway, sorry for being critical - it's great to see more distro support and integration